Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.control.io
Class FileReaderSource

A ReaderSource for source files.

author:
  Chris Poirier

version:
  $Id: FileReaderSource.java 10692 2008-02-01 16:47:26Z glaforge $

Field Summary
`Charset` | `UTF8`
`File` | `file`

Constructor Summary
`FileReaderSource(File file, CompilerConfiguration configuration)` Creates the ReaderSource from a File descriptor.

Method Summary
`Reader` | `getReader()` Returns a new Reader on the underlying source object.

Constructor Detail

### FileReaderSource

    public FileReaderSource(File file, CompilerConfiguration configuration)

  Creates the ReaderSource from a File descriptor.
  param:
    file script source file
  param:
    configuration configuration for compiling source

Method Detail

### getReader

    public Reader getReader()

  Returns a new Reader on the underlying source object.